com.lowagie.text.pdf

## Class PRIndirectReference

- java.lang.Object
- - com.lowagie.text.pdf.PdfObject
  - - com.lowagie.text.pdf.PdfIndirectReference
    - - com.lowagie.text.pdf.PRIndirectReference

    public class PRIndirectReference
    extends PdfIndirectReference

### Field Summary

Fields
`protected PdfReader` `reader`

### Fields inherited from class com.lowagie.text.pdf.PdfIndirectReference

`generation, number`

### Fields inherited from class com.lowagie.text.pdf.PdfObject

`ARRAY, BOOLEAN, bytes, DICTIONARY, INDIRECT, indRef, NAME, NOTHING, NULL, NUMBER, STREAM, STRING, TEXT_PDFDOCENCODING, TEXT_UNICODE, type`

### Constructor Summary

Constructors
Constructor and Description
`PRIndirectReference(PdfReader reader, int number)` Constructs a `PdfIndirectReference`.
`PRIndirectReference(PdfReader reader, int number, int generation)` Constructs a `PdfIndirectReference`.

### Method Summary

Methods
`PdfReader` `getReader()`
`void` `setNumber(int number, int generation)`
`void` `toPdf(PdfWriter writer, java.io.OutputStream os)` Writes the PDF representation of this `PdfObject` as an array of `byte`s to the writer.

### Methods inherited from class com.lowagie.text.pdf.PdfIndirectReference

`getGeneration, getNumber, toString`

### Methods inherited from class com.lowagie.text.pdf.PdfObject

`canBeInObjStm, getBytes, getIndRef, isArray, isBoolean, isDictionary, isIndirect, isName, isNull, isNumber, isStream, isString, length, setContent, setIndRef, type`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### reader

    protected PdfReader reader

### Constructor Detail

#### PRIndirectReference

    PRIndirectReference(PdfReader reader,
                       int number,
                       int generation)

Constructs a `PdfIndirectReference`.

Parameters:
  `reader` - a `PdfReader`
  `number` - the object number.
  `generation` - the generation number.

#### PRIndirectReference

    PRIndirectReference(PdfReader reader,
                       int number)

Constructs a `PdfIndirectReference`.

Parameters:
  `reader` - a `PdfReader`
  `number` - the object number.

### Method Detail

#### toPdf

    public void toPdf(PdfWriter writer,
             java.io.OutputStream os)
               throws java.io.IOException

Description copied from class: `PdfObject`
Writes the PDF representation of this `PdfObject` as an array of `byte`s to the writer.

Overrides:
  `toPdf` in class `PdfObject`
Parameters:
  `writer` - for backwards compatibility
  `os` - The `OutputStream` to write the bytes to.
Throws:
  `java.io.IOException`

#### getReader

    public PdfReader getReader()

#### setNumber

    public void setNumber(int number,
                 int generation)